﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GpsCardGatewayPosition.Model.Config
{
    public class GaodeServicesConfig
    {
        public List<ConfigItem> Items { get; set; } = default!;

        public class ConfigItem
        {
            public bool EnableConfig { get; set; }
            public string Corporation { get; set; } = default!;
            /// <summary>
            /// Web服务Key
            /// </summary>
            public string GaodeRegeoKey { get; set; } = default!;
            /// <summary>
            /// 智能硬件Key
            /// </summary>
            public string GaodeWifiKey { get; set; } = default!;
            public string GaodeRegeoUrl { get; set; } = default!;
            public string GaodeWifiUrl { get; set; } = default!;
        }
    }
}
