﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GpsCardGatewayPosition.Model.GatewayEntity
{
    public class PushLocationModel
    {
        public PushLocationModel()
        {
            command = "LocationDownload";
        }

        public string command { get; set; } = default!;

        /// <summary>
        /// IMEI号
        /// </summary>
        public string parameter { get; set; } = default!;

        /// <summary>
        /// 经度
        /// </summary>
        public decimal Longitude { get; set; }

        /// <summary>
        /// 纬度
        /// </summary>
        public decimal Latitude { get; set; }

        /// <summary>
        /// 海拔
        /// </summary>
        public double Altitude { get; set; }
    }
}
