﻿using GpsCardGatewayPosition.Model.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GpsCardGatewayPosition.Model.IoT
{
    [Serializable]
    public class PackageMsgModel
    {
        public PackageMsgModel(string msgId, string bizId, IotTopicType topic, int type, object topicInfo, object detailData)
        {
            MessageId = msgId;
            BusinessId = bizId;
            TopicType = topic;
            MsgType = type;
            TopicInfo = topicInfo;
            DetailData = detailData;
        }

        public string MessageId { get; set; }
        public string BusinessId { get; set; }
        public DateTime ReceiveTime { get; } = DateTime.Now;
        public IotTopicType TopicType { get; set; }
        public int MsgType { get; set; }
        public object TopicInfo { get; set; }
        public object DetailData { get; set; }
    }
}
