﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GpsCardGatewayPosition.Model.GatewayEntity
{
    public class Point
    {
        public decimal Lat { get; set; }
        public decimal Lng { get; set; }

        public Point(decimal lat, decimal lng)
        {
            Lat = lat;
            Lng = lng;
        }

        public bool Equals(Point obj)
        {
            return Math.Abs(obj.Lat - Lat) < 0.000000001m && Math.Abs(obj.Lng - Lng) < 0.000000001m;
        }
    }
}
